##################################################################################################
####################### Basics ###################################################################
##################################################################################################


import.var <- function(variable)           .Primitive("labstory.import.var")
export.var <- function(variable, name=NA)  .Primitive("labstory.export.export")

import.table <- function(name, documentid="")   .Primitive("labstory.import.table")
export.table <- function(variable, name=NULL)   .Primitive("labstory.export.table")





##################################################################################################
####################### Plotting #################################################################
##################################################################################################

lplot.new <- function (title="", show=TRUE)          .Primitive("labstory.lplot.new")
lplot.lines  <- function(plot, x,y, color="black")    .Primitive("labstory.lplot.lines")
lplot.points <- function(plot, x,y, color="black",
                         type="." )    .Primitive("labstory.lplot.points")


## this trashes R. should throw error! also detect loops
##lplot.points <- function(plot, x,y, color="black",
##                         type=".", color="black")    .Primitive("labstory.lplot.points")


lplot.hist <- function(plot, data, breaks=50)                   .Primitive("labstory.lplot.hist")


### should probably remain, but undocumented
lplot.show <- function(plot)                         .Primitive("labstory.lplot.show")



#### hm. point - should be scaleless. hard currently! can add new element type to graphicsobjeect
### legends - tricky with graphics object. hm. can store these separately until last moment


# draw.bars <- function(plot, barheight, barx=NA)






# legend
# add.legend <- function(plot, name, color="black") .Primitive("labstory.add.legend")  #linetype


# 

set.labels <- function(plot, xlabels=NA, ylabels=NA)   .

multipanel <- function (..., nrow=1, ncol=1) .Primitive("labstory.multipanel")


#show(plot)